blank cd-r not detected [Karmic]

Bug #397906 reported by Charlie Kravetz on 2009-07-10
90
This bug affects 15 people
Affects Status Importance Assigned to Milestone
devicekit-disks (Ubuntu)
High
Unassigned
Nominated for Karmic by Peter Schwenke

Bug Description

Attempting to burn an ISO image using the latest kernel fails.
Linux wecan 2.6.31-2-generic #16-Ubuntu SMP Mon Jul 6 20:36:55 UTC 2009 x86_64 GNU/Linux
fails to find a blank cd to burn the image to.

Using 2.6.30-10-generic works as expected. Attaching those logs also for comparison.

ProblemType: Bug
Architecture: amd64
Date: Fri Jul 10 10:45:24 2009
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=d2dbcb69-cf77-4323-985c-32bf808e1285
Lsusb:
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: PCCHIPS A15G
NonfreeKernelModules: nvidia
Package: linux-image-2.6.31-2-generic 2.6.31-2.16
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-2-generic root=UUID=cf92e30c-4a85-4e85-91ae-f11f5a2f5154 ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-2.16-generic
RelatedPackageVersions: linux-backports-modules-2.6.31-2-generic N/A
SourcePackage: linux
Uname: Linux 2.6.31-2-generic x86_64
dmi.bios.date: 12/05/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: A15G
dmi.board.vendor: PCCHIPS
dmi.board.version: 2.0
dmi.chassis.asset.tag: Unknow
dmi.chassis.type: 3
dmi.chassis.vendor: PCCHIPS
dmi.chassis.version: Unknow
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd12/05/2007:svnPCCHIPS:pnA15G:pvr2.0:rvnPCCHIPS:rnA15G:rvr2.0:cvnPCCHIPS:ct3:cvrUnknow:
dmi.product.name: A15G
dmi.product.version: 2.0
dmi.sys.vendor: PCCHIPS

Charlie Kravetz (charlie-tca) wrote :

Architecture: amd64
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=d2dbcb69-cf77-4323-985c-32bf808e1285
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: PCCHIPS A15G
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.30-10-generic root=UUID=cf92e30c-4a85-4e85-91ae-f11f5a2f5154 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.30-10.12-generic
RelatedPackageVersions: linux-backports-modules-2.6.30-10-generic N/A
Uname: Linux 2.6.30-10-generic x86_64
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse lpadmin netdev plugdev sambashare tape vboxusers video
dmi.bios.date: 12/05/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: A15G
dmi.board.vendor: PCCHIPS
dmi.board.version: 2.0
dmi.chassis.asset.tag: Unknow
dmi.chassis.type: 3
dmi.chassis.vendor: PCCHIPS
dmi.chassis.version: Unknow
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd12/05/2007:svnPCCHIPS:pnA15G:pvr2.0:rvnPCCHIPS:rnA15G:rvr2.0:cvnPCCHIPS:ct3:cvrUnknow:
dmi.product.name: A15G
dmi.product.version: 2.0
dmi.sys.vendor: PCCHIPS

Charlie Kravetz (charlie-tca) wrote :
Charlie Kravetz (charlie-tca) wrote :
Charlie Kravetz (charlie-tca) wrote :
Charlie Kravetz (charlie-tca) wrote :
Charlie Kravetz (charlie-tca) wrote :
Charlie Kravetz (charlie-tca) wrote :
Charlie Kravetz (charlie-tca) wrote :
Charlie Kravetz (charlie-tca) wrote :
summary: - blank cd-r not detected [Karmic Xubuntu]
+ blank cd-r not detected [Karmic]
Markus Korn (thekorn) wrote :

Confirmed, given the fact that there is already another user reporting this bug

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Manoj Iyer (manjo) on 2009-07-13
Changed in linux (Ubuntu):
assignee: nobody → Manoj Iyer (manjo)
Manoj Iyer (manjo) wrote :

Can you please try the kernel in

http://people.ubuntu.com/~manjo/lp397906-karmic/

and report if that fixes your issue ?

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Download full text (12.5 KiB)

The new kernel allows disk write; however: this error log results:

Checking session consistency (brasero_burn_check_session_consistency brasero-burn.c:1932)
BraseroBurnURI called brasero_job_get_action
BraseroBurnURI called brasero_job_get_action
BraseroBurnURI called brasero_job_set_output_size_for_current_track
BraseroBurnURI stopping
BraseroBurnURI called brasero_job_get_action
BraseroBurnURI called brasero_job_get_session_output_size
BraseroBurnURI called brasero_job_get_action
BraseroBurnURI called brasero_job_get_current_track
BraseroBurnURI no burn:// URI found
BraseroBurnURI stopping
BraseroChecksumFiles called brasero_job_get_output_type
BraseroChecksumFiles called brasero_job_get_current_track
BraseroChecksumFiles called brasero_job_get_action
BraseroChecksumFiles called brasero_job_get_action
BraseroChecksumFiles called brasero_job_set_output_size_for_current_track
BraseroChecksumFiles stopping
BraseroChecksumFiles called brasero_job_get_output_type
BraseroChecksumFiles called brasero_job_get_current_track
BraseroChecksumFiles called brasero_job_get_action
BraseroChecksumFiles called brasero_job_get_session_output_size
BraseroChecksumFiles called brasero_job_get_action
BraseroChecksumFiles called brasero_job_get_action
BraseroChecksumFiles called brasero_job_get_current_track
BraseroChecksumFiles called brasero_job_get_current_track
BraseroChecksumFiles called brasero_job_set_current_action
BraseroChecksumFiles called brasero_job_get_flags
BraseroChecksumFiles called brasero_job_get_action
BraseroChecksumFiles called brasero_job_get_current_track
BraseroChecksumFiles Adding graft for checksum file /.checksum.md5 file:///tmp/brasero_tmp_2BT2WU.md5
BraseroChecksumFiles called brasero_job_add_track
BraseroChecksumFiles called brasero_job_get_action
BraseroChecksumFiles Finished track successfully
BraseroChecksumFiles stopping
BraseroGrowisofs called brasero_job_get_action
BraseroGrowisofs getting varg
BraseroGrowisofs called brasero_job_get_action
BraseroGrowisofs called brasero_job_get_current_track
BraseroGrowisofs called brasero_job_get_flags
BraseroGrowisofs called brasero_job_get_speed
BraseroGrowisofs called brasero_job_get_device
BraseroGrowisofs called brasero_job_get_action
BraseroGrowisofs called brasero_job_get_fd_in
BraseroGrowisofs Using genisoimage
BraseroGrowisofs called brasero_job_get_current_track
BraseroGrowisofs called brasero_job_get_tmp_dir
BraseroGrowisofs called brasero_job_get_action
BraseroGrowisofs called brasero_job_set_current_action
BraseroGrowisofs got varg:
 growisofs
 -use-the-force-luke=notray
 -use-the-force-luke=4gms
 -dvd-compat
 -speed=18
 -use-the-force-luke=tty
 -Z
 /dev/sr0
 -dry-run
 -r
 -input-charset
 utf8
 -graft-points
 -path-list
 /tmp/brasero_tmp_ZIAYWU
 -exclude-list
 /tmp/brasero_tmp_RMAYWU
 -print-size
BraseroGrowisofs Launching command
BraseroGrowisofs called brasero_job_get_fd_out
BraseroGrowisofs stdout: Executing 'genisoimage -r -input-charset utf8 -graft-points -path-list /tmp/brasero_tmp_ZIAYWU -exclude-list /tmp/brasero_tmp_RMAYWU -print-size | builtin_dd of=/dev/sr0 obs=32k seek=0'
BraseroGrowisofs called brasero_job_set_dangerous
BraseroGrowisofs stderr: Using LINUX000.DEB;1...

xtknight (xt-knight) wrote :

Same problem here on amd64/kernel 2.6.31. Definitely a bug. I don't remember this happening in 2.6.30. In fact on Jaunty I had a 2.6.31 kernel where it happened and a 2.6.30 kernel where it didn't happen. Regression in 2.6.31 kernel is where I have my money.

volkris (volkris) wrote :

BTW, this also appears on 32bit machines. I'm running 2.6.31-4-generic #23-Ubuntu

xtknight (xt-knight) wrote :

I'm still investigating, but I think it has to do with gio.

Here's my drive setup:
750G WD
500G WD
250G WD
250G Maxtor
DVD-RW Drive

When I debug the brasero code, it's only coming across my 750 and 500G drives. And when it asks itself if these are CD drives, it obviously gets a response of no. None of the other drives are even coming through to brasero's code. It is a problem in gio, gvfs or deeper. I made a program to test whether gio reports your drives. Note that when you run it as root, it reports nothing. Why? Who knows...

All I know is that in Jaunty it works and in Karmic it doesn't. It can be tested in VirtualBox with passthrough mode enabled on the CD drive.

To compile the program:
sudo apt-get install build-essential libglib2.0-dev libgtk2.0-dev
gcc -o main main.c `pkg-config --libs --cflags glib-2.0` `pkg-config --libs --cflags gtk+-2.0`

To run it:
./main

My output from this program:

drive detected
500 GB ATA WDC WD5000AAKS-00YGA0
drive detected
750 GB ATA WDC WD7500AAKS-00RBA0

xtknight (xt-knight) wrote :

Another note of interest is that when you insert valid media, it is listed in gio. When you insert empty media, it is not.

To those for whom brasero works flawlessly now, it would be very helpful for you to run this program. And it would also be interesting if brasero doesn't work for you but the test program lists your drives when there's empty media inside it. You must run the program with empty media inside the drive to tell if it works.

Seanzer (lee-2817) wrote :

I am able to burn cds using gnomebaker and k3b.. but not nautilus or brasero..

bug #405544 seems to be somewhat related to this issue, but there is a newly released version of brasero (2.27.90) that is supposed to have a fix for gio (at least for brasero.. i'm not sure if this fixes nautilus).

Andy Whitcroft (apw) wrote :

Hi the last comments are from pretty old karmic kernels, could we confirm that this issue still exists with the current Karmic kernel 2.6.31-12.39 or later. Please report back here for either success or failure. Thanks!

Vladimir Hidalgo (vlad88sv) wrote :

Linux aurox 2.6.31-12-generic #39-Ubuntu SMP Mon Oct 5 22:08:01 UTC 2009 i686 GNU/Linux

Nautilus tries to open .iso files with Gedit, Brasero & GnomeBaker can't recognize .iso images.

I was urgent to burn a CD, that's why I found this bug searching by "karmic burn iso images".

Vladimir Hidalgo (vlad88sv) wrote :

"file" command can recognize it as valid iso:

file '/media/Musica/APP/OAIO/O07AIO.iso'
/media/Musica/APP/OAIO/O07AIO.iso: ISO 9660 CD-ROM filesystem data 'OXXXX'

Martey Dodoo (martey) wrote :

Vladimir, your issue sounds like bug #444962. I am running 2.6.31-12-generic-pae and cannot replicate this.

volkris (volkris) wrote :

Seems to work for me.

Nautilus had the blank CD listed under destinations for burning, and I believe it didn't do that before.

Robert Buhren (weelkin) wrote :

I still have this problem using latest updates from today and kernel :

uname -a
Linux robert-laptop 2.6.31-13-generic #44-Ubuntu SMP Sat Oct 10 15:27:14 UTC 2009 x86_64 GNU/Linux

I'm using a external drive connected via USB. Here's what dmesg says after inserting a blank cd:

[ 82.780228] usb 2-2: new high speed USB device using ehci_hcd and address 3
[ 82.935240] usb 2-2: configuration #1 chosen from 1 choice
[ 82.956713] Initializing USB Mass Storage driver...
[ 82.957632] scsi6 : SCSI emulation for USB Mass Storage devices
[ 82.957788] usbcore: registered new interface driver usb-storage
[ 82.957792] USB Mass Storage support registered.
[ 82.958274] usb-storage: device found at 3
[ 82.958276] usb-storage: waiting for device to settle before scanning
[ 87.950709] usb-storage: device scan complete
[ 87.962332] scsi 6:0:0:0: CD-ROM Iomega Slimline DVD HP81 PQ: 0 ANSI: 0
[ 88.095008] sr0: scsi3-mmc drive: 24x/8x writer dvd-ram cd/rw xa/form2 cdda pop-up
[ 88.095014] Uniform CD-ROM driver Revision: 3.20
[ 88.095157] sr 6:0:0:0: Attached scsi CD-ROM sr0
[ 88.095243] sr 6:0:0:0: Attached scsi generic sg1 type 5
[ 162.826855] sr 6:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 162.826864] sr 6:0:0:0: [sr0] Sense Key : Illegal Request [current]
[ 162.826870] sr 6:0:0:0: [sr0] Add. Sense: Logical block address out of range
[ 162.826877] end_request: I/O error, dev sr0, sector 0
[ 162.826884] Buffer I/O error on device sr0, logical block 0
[ 162.896200] sr 6:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 162.896209] sr 6:0:0:0: [sr0] Sense Key : Illegal Request [current]
[ 162.896216] sr 6:0:0:0: [sr0] Add. Sense: Logical block address out of range
[ 162.896223] end_request: I/O error, dev sr0, sector 0
[ 162.896230] Buffer I/O error on device sr0, logical block 0

ubuntu does not detect the inserted cd as a blank one and e.g. brasero wont burn on it.
I can burn cd's with Windows 7 or Windows XP.
hope this information helps solving this bug.

regards
robert

Ezra Reeves (ezrareeves) wrote :

I get the same thing as Robert:
Oct 25 13:36:58 skepsis kernel: [15618.373744] cdrom: This disc doesn't have any tracks I recognize!
Oct 25 13:36:58 skepsis kernel: [15618.409992] sr 6:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 25 13:36:58 skepsis kernel: [15618.410003] sr 6:0:0:0: [sr0] Sense Key : Illegal Request [current]
Oct 25 13:36:58 skepsis kernel: [15618.410012] sr 6:0:0:0: [sr0] Add. Sense: Logical block address out of range
Oct 25 13:36:58 skepsis kernel: [15618.410024] end_request: I/O error, dev sr0, sector 0
Oct 25 13:36:58 skepsis kernel: [15618.410035] Buffer I/O error on device sr0, logical block 0
Oct 25 13:36:58 skepsis kernel: [15618.413405] sr 6:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 25 13:36:58 skepsis kernel: [15618.413416] sr 6:0:0:0: [sr0] Sense Key : Illegal Request [current]
Oct 25 13:36:58 skepsis kernel: [15618.413425] sr 6:0:0:0: [sr0] Add. Sense: Logical block address out of range
Oct 25 13:36:58 skepsis kernel: [15618.413436] end_request: I/O error, dev sr0, sector 0
Oct 25 13:36:58 skepsis kernel: [15618.413445] Buffer I/O error on device sr0, logical block 0

Was trying to burn a bin/cue image, but could not.

Ezra Reeves (ezrareeves) wrote :

This is the error I get in basero.

Ezra Reeves (ezrareeves) wrote :

This is the error I get in brasero.

Benny Källström (benny-k) wrote :

I can´t burn an Ubuntu image on an blank DVD-RW with Brasero. I have had this problem for some time now.

Robert Buhren (weelkin) wrote :

Why is the status of this bug report "incomplete" ? This issue is very annoying for me. I'm using the latest karmic kernel -> Ubuntu 2.6.31-14.48-generic with all updates. If i can somehow help with more information pls contact me.

robert

Manoj Iyer (manjo) wrote :

Robert,

When I try to burn a cdrom I get the following message:
[93724.098311] ===>rt_ioctl_giwscan. 1(1) BSS returned, data->length = 119
[93782.822455] cdrom: This disc doesn't have any tracks I recognize!
[93782.840078] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[93782.840082] sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
[93782.840087] Info fld=0x0
[93782.840088] sr 1:0:0:0: [sr0] Add. Sense: Logical block address out of range
[93782.840093] end_request: I/O error, dev sr0, sector 0
[93782.840097] Buffer I/O error on device sr0, logical block 0
[93782.844384] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[93782.844387] sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
[93782.844391] Info fld=0x0
[93782.844393] sr 1:0:0:0: [sr0] Add. Sense: Logical block address out of range
[93782.844397] end_request: I/O error, dev sr0, sector 0
[93782.844400] Buffer I/O error on device sr0, logical block 0
[93782.860557] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[93782.860561] sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
[93782.860566] Info fld=0x0
[93782.860567] sr 1:0:0:0: [sr0] Add. Sense: Logical block address out of range
[93782.860572] end_request: I/O error, dev sr0, sector 0
[93782.860577] Buffer I/O error on device sr0, logical block 0
[93782.863429] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[93782.863433] sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
[93782.863437] Info fld=0x0
[93782.863438] sr 1:0:0:0: [sr0] Add. Sense: Logical block address out of range
[93782.863442] end_request: I/O error, dev sr0, sector 0
[93782.863445] Buffer I/O error on device sr0, logical block 0
[93844.101307] ===>rt_ioctl_giwscan. 1(1) BSS returned, data->length = 119

But brasero is able to burn an iso into the CDROM.

Can you please post the output of 'sudo hdparm -iI /dev/sr0' ?

Thanks

Manoj Iyer (manjo) wrote :

After some research I am lead to believe that this is a gnome bug, and the fix is in DeviceKit-disks

https://bugzilla.gnome.org/_bug.cgi?id=589931

Manoj Iyer (manjo) wrote :

Assigning to correct package.

affects: linux (Ubuntu) → devicekit-disks (Ubuntu)
Changed in devicekit-disks (Ubuntu):
status: Incomplete → Confirmed
assignee: Manoj Iyer (manjo) → nobody
Robert Buhren (weelkin) wrote :

I don`t know wether this is still necessary but here`s the output of sudo hdparm -iI /dev/sr0 when a blank cd is inserted.

/dev/sr0:
 HDIO_DRIVE_CMD(identify) failed: Invalid exchange
 HDIO_GET_IDENTITY failed: Invalid argument

regards robert

tags: added: iso-testing

I have your same problem: Gnome doesn't detect blank cd-r and I cannot burn cds if I use my external "Iomega SuperSlim DVD" drive (that I bought this morning). Instead, if I use my internal drive (of IBM Thinkpad R52 Laptop) I haven't problems.

However, I can bypass this bug and burn my cds and dvds using K3B.

sudo apt-get install k3b

I hope this can help you,
Francesco Galgani

Robert Buhren (weelkin) wrote :

thanks francesco,

using k3b i can burn cd`s. It`s still sad that this bug is now around for so long an still more or less nothing happens.

regards
 robert

> It`s still sad that this bug is now around for so long an still more or less nothing happens.

That's why I've changed Linux distribution. With Debian Lenny I use my cd recorder comfortably (I experienced problems also with previous versions of Ubuntu).

Of course I hope this bug will be fixed soon, but... it's unassigned.

Changed in devicekit-disks (Ubuntu):
status: Confirmed → Triaged
tags: added: regression-release
removed: regression-potential
Jamie Strandboge (jdstrand) wrote :

I just came across this on all two different up to date Karmic systems. A perfectly valid blank CD-R disc was not recognized by brasero or gnomebaker. I tried it in an earlier Ubuntu release and it was recognized and I could burn to it just fine. I have subscribed Martin Pitt (please forgive me if this is in error) since when this got reassigned to devicekit-disks, the right people were not aware of the bug anymore.

I'm very keen to get this bug fixed and can provide any information required. This may be related to bug #497232.

Changed in devicekit-disks (Ubuntu):
status: Triaged → Confirmed
Jamie Strandboge (jdstrand) wrote :

I just tested a blank CD-R in Jaunty and Lucid, and both work fine, so it looks like only Karmic is affected.

Martin Pitt (pitti) wrote :

Thanks for testing, Jamie! It was probably a change in the kernel or udev, since dk-disks didn't change that much.

Changed in devicekit-disks (Ubuntu):
status: Confirmed → Fix Released
Peter Schwenke (bluetoad) wrote :

This is still happening in Karmic so it should remain open for Karmic. The machine is upgraded from Jaunty.

The Blank CD wasn't recognised in Nautilus. No CD was available when I did Right click/write to file from Nautilus. I cranked up Brasero, it acted like it was going to burn the disk so I left it and walked away. When I came back it failed. So I looked in Launchpad.

While gathering the info as in comment 5 in #497232 , I got a popup for the blank CD! That invoked Brasero (it wasn't Brasero on Jaunty IIRC). The size was reported as 12.8MB.

Anyway, I tried to burn again. The brasero log is attached. Now the scary thing. When I cut and pasted from the Brasero session log to vi in an xterm it took a long time and there was grinding sounds from a disk drive or something. I did that twice. This machine and its drives are fine.

So after attaching the files I'm to reboot and install and try k3b.

Peter Schwenke (bluetoad) wrote :
Peter Schwenke (bluetoad) wrote :
Peter Schwenke (bluetoad) wrote :
Peter Schwenke (bluetoad) wrote :
Peter Schwenke (bluetoad) wrote :
Download full text (3.3 KiB)

After rebooting the blank CD was recognised. I exited Brasero, installed k3b and tried it twice. Once at auto speeds, once at 8x. It bombed with

Track 01: 578 of 689 MB written (fifo 100%) [buf 100%] 45.7x.
Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error
CDB: 2A 00 00 04 85 E6 00 00 1F 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: F0 00 03 00 04 84 83 0A 00 00 00 00 0C 00 00 00
Sense Key: 0x3 Medium Error, Segment 0
Sense Code: 0x0C Qual 0x00 (write error) Fru 0x0
Sense flags: Blk 296067 (valid)
cmd finished after 3.838s timeout 200s
/usr/bin/wodim: A write error occured.
/usr/bin/wodim: Please properly read the error message above.
write track data: error after 607072256 bytes
Writing time: 159.542s
Average write speed 33.1x.

and

Track 01: 443 of 689 MB written (fifo 100%) [buf 100%] 8.4x.
Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error
CDB: 2A 00 00 03 76 C5 00 00 1F 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: F0 00 03 00 03 75 45 0A 00 00 00 00 0C 00 00 00
Sense Key: 0x3 Medium Error, Segment 0
Sense Code: 0x0C Qual 0x00 (write error) Fru 0x0
Sense flags: Blk 226629 (valid)
cmd finished after 5.810s timeout 200s
/usr/bin/wodim: A write error occured.
/usr/bin/wodim: Please properly read the error message above.
write track data: error after 464922624 bytes
Writing time: 427.083s
Average write speed 11.4x.
Min drive buffer fill was 100%

I tried another machine with different hardware. The blank CD was detected, exited Brasero, Right clicked and burned successfully from Nautilus (via Brasero). The space detected again was 12.8MB.

Attaching lshw for the machine which is failing.?field.comment=After rebooting the blank CD was recognised. I exited Brasero, installed k3b and tried it twice. Once at auto speeds, once at 8x. It bombed with

Track 01: 578 of 689 MB written (fifo 100%) [buf 100%] 45.7x.
Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error
CDB: 2A 00 00 04 85 E6 00 00 1F 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: F0 00 03 00 04 84 83 0A 00 00 00 00 0C 00 00 00
Sense Key: 0x3 Medium Error, Segment 0
Sense Code: 0x0C Qual 0x00 (write error) Fru 0x0
Sense flags: Blk 296067 (valid)
cmd finished after 3.838s timeout 200s
/usr/bin/wodim: A write error occured.
/usr/bin/wodim: Please properly read the error message above.
write track data: error after 607072256 bytes
Writing time: 159.542s
Average write speed 33.1x.

and

Track 01: 443 of 689 MB written (fifo 100%) [buf 100%] 8.4x.
Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error
CDB: 2A 00 00 03 76 C5 00 00 1F 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: F0 00 03 00 03 75 45 0A 00 00 00 00 0C 00 00 00
Sense Key: 0x3 Medium Error, Segment 0
Sense Code: 0x0C Qual 0x00 (write error) Fru 0x0
Sense flags: Blk 226629 (valid)
cmd finished after 5.810s timeout 200s
/usr/bin/wodim: A write error occured.
/usr/bin/wodim: Please properly read the error message above.
write track data: error after 464922624 bytes
Writing time: 427.083s
Average write speed 11.4x.
Min drive buffer fill was 100%

I tried another machine with different hardware. The blank CD was detected, exited Brasero, Right c...

Read more...

ct (ct) wrote :

This is low-level stuff (via dmesg):

[ 128.310018] usb 1-1: new high speed USB device using ehci_hcd and address 4
[ 128.461960] usb 1-1: configuration #1 chosen from 1 choice
[ 128.468977] scsi7 : SCSI emulation for USB Mass Storage devices
[ 128.470933] usb-storage: device found at 4
[ 128.470935] usb-storage: waiting for device to settle before scanning
[ 133.470197] usb-storage: device scan complete
[ 133.472184] scsi 7:0:0:0: CD-ROM PLEXTOR DVDR PX-708A2 1.01 PQ: 0 ANSI: 0 CCS
[ 133.495063] sr1: scsi3-mmc drive: 40x/40x writer cd/rw xa/form2 cdda tray
[ 133.495198] sr 7:0:0:0: Attached scsi CD-ROM sr1
[ 133.495274] sr 7:0:0:0: Attached scsi generic sg4 type 5
[ 179.397754] sr 7:0:0:0: [sr1] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 179.397761] sr 7:0:0:0: [sr1] Sense Key : Illegal Request [current]
[ 179.397766] Info fld=0x0
[ 179.397768] sr 7:0:0:0: [sr1] Add. Sense: Illegal mode for this track
[ 179.397775] end_request: I/O error, dev sr1, sector 0
[ 179.397780] Buffer I/O error on device sr1, logical block 0
[ 179.397783] Buffer I/O error on device sr1, logical block 1
[ 179.397788] Buffer I/O error on device sr1, logical block 2
[ 179.397791] Buffer I/O error on device sr1, logical block 3
[ 179.397794] Buffer I/O error on device sr1, logical block 4
[ 179.397797] Buffer I/O error on device sr1, logical block 5
[ 179.397799] Buffer I/O error on device sr1, logical block 6
[ 179.397802] Buffer I/O error on device sr1, logical block 7
[ 179.397805] Buffer I/O error on device sr1, logical block 8
[ 179.397808] Buffer I/O error on device sr1, logical block 9
[ 179.399749] sr 7:0:0:0: [sr1] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 179.399753] sr 7:0:0:0: [sr1] Sense Key : Illegal Request [current]
[ 179.399757] Info fld=0x3c
[ 179.399759] sr 7:0:0:0: [sr1] Add. Sense: Illegal mode for this track
[ 179.399765] end_request: I/O error, dev sr1, sector 240
[ 179.403749] sr 7:0:0:0: [sr1] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 179.403753] sr 7:0:0:0: [sr1] Sense Key : Illegal Request [current]
[ 179.403757] Info fld=0x0
[ 179.403759] sr 7:0:0:0: [sr1] Add. Sense: Illegal mode for this track
[ 179.403764] end_request: I/O error, dev sr1, sector 0
[ 179.444367] sr 7:0:0:0: [sr1] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 179.444373] sr 7:0:0:0: [sr1] Sense Key : Illegal Request [current]
[ 179.444385] Info fld=0x0
[ 179.444385] sr 7:0:0:0: [sr1] Add. Sense: Illegal mode for this track
[ 179.444391] end_request: I/O error, dev sr1, sector 0
[ 179.454759] sr 7:0:0:0: [sr1] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 179.454766] sr 7:0:0:0: [sr1] Sense Key : Illegal Request [current]
[ 179.454771] Info fld=0x0
[ 179.454773] sr 7:0:0:0: [sr1] Add. Sense: Illegal mode for this track
[ 179.454780] end_request: I/O error, dev sr1, sector 0
curtis@eurydice:~/Desktop$ uname -a
Linux eurydice 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 04:38:19 UTC 2010 x86_64 GNU/Linux

The audio CD inserted reads perfectly well on my Vista partition on this box.

hmatsue (hmatsue) on 2010-06-11
Changed in devicekit-disks (Ubuntu):
status: Fix Released → Confirmed
status: Confirmed → Fix Released
To post a comment you must log in.